#pragma once
#include "render/BBRenderer.h"
#include "render/Color.h"

namespace Debug
{

    struct DebugStatus
    {
        static DebugStatus* the();

        void Init();
        void ThrowException(int exception);
        void StartBootStage(Color stage);
        void PassBootStage(Color stage);
        void FailBootStage();
        void DebugTick();
        void DebugKey(char key);

      private:
        int x = 0;
        int y = 0;

        int errx = 0;
        int erry = 30;

        BBRenderer renderer;

        static DebugStatus s_main;
    };
}