#include "assert.h"
#include "log/Log.h"
#include "panic/hang.h"

bool __call_assert_fail(const char* function, const char* message)
{
    KernelLog::logln(function, message, LogLevel::ERROR);
    hang();
    return true;
}