#include "render/Draw.h"
#include "render/BBRenderer.h"

static BaseRenderer* s_renderer;
BBRenderer bbRenderer;

bool Draw::try_initialize()
{
    if (bbRenderer.init())
    {
        s_renderer = &bbRenderer;
        return true;
    }
    return false;
}

BaseRenderer* Draw::renderer()
{
    return s_renderer;
}